
QGIS Application - Bug report #6044

Qgis browser hangs if postgis database doesn't exist

2012-07-15 10:27 AM - Nikos Ves

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15413

Description

"Console output:

nikos@nikos-desktop:~/src/qgis-trunk/bin/bin$ ./qbrowser 

credentials for dbname='gis' host=localhost port=5432 user='nikos' password='' sslmode=disable

message: FATAL:  database "gis" does not exist"

and it hangs there

Associated revisions

Revision 00de1f97 - 2013-07-20 12:36 AM - Jürgen Fischer

browser: add credential dialog (fixes #6044)

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2013-07-19 03:36 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"00de1f977f2f6ae947944d07e79a9eea7c97d777".
